//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2003-2005 by Michal Spanel     \n
 *
 * Author:  Michal Spanel, spanel@fit.vutbr.cz  \n
 * File:    mdsCompilation.h                    \n
 * Section: libBase                             \n
 * Date:    2003/10/22                          \n
 *
 * $Id: mdsCompilation.h 64 2006-08-11 08:45:24Z spanel $
 * 
 * Description:
 * - Date and time of the last compilation.
 */

#ifndef MDS_COMPILATION_H
#define MDS_COMPILATION_H

// STL
#include <string>


namespace mds
{

//==============================================================================
/*
 * Compilation date and time
 */

//! Date of the compilation
const std::string COMPILATION_DATE = __DATE__;

//! Time of the compilation
const std::string COMPILATION_TIME = __TIME__;


} // namespace mds

#endif // MDS_COMPILATION_H

