//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2003-2007 by Michal Spanel     \n
 *
 * Author:  Michal Spanel, spanel@fit.vutbr.cz  \n
 * File:    mdsVersion.h                        \n
 * Section: libBase                             \n
 * Date:    2003/10/22                          \n
 *
 * $Id: mdsVersion.h 487 2007-09-26 11:14:15Z spanel $
 * 
 * Description:
 * - Version informations
 */

#ifndef MDS_VERSION_H
#define MDS_VERSION_H

// STL
#include <string>


namespace mds
{

//==============================================================================
/*
 * MDSTk informations.
 */

//! MDSTk label
const std::string LABEL     = "MDSTk";

//! Current MDSTk version
const std::string VERSION   = "v0.7.0beta";

//! Listing of MDSTk authors
const std::string AUTHORS   = "Michal Spanel et al., FIT BUT, Czech Republic";

//! E-mail of the MDSTk authors
const std::string EMAIL     = "spanel@fit.vutbr.cz";


} // namespace mds

#endif // MDS_VERSION_H

