//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2003-2005 by Michal Spanel     \n
 *
 * Author:  Michal Spanel, spanel@fit.vutbr.cz  \n
 * File:    mdsImageEdgeDetectors.h             \n
 * Section: libImage                            \n
 * Date:    2005/09/20                          \n
 *
 * $Id: mdsImageEdgeDetectors.h 64 2006-08-11 08:45:24Z spanel $
 * 
 * Description:
 * - Predefined image edge detectors.
 */

#ifndef MDS_IMAGEEDGEDETECTORS_H
#define MDS_IMAGEEDGEDETECTORS_H

#include <MDSTk/Base/mdsSetup.h>


//==============================================================================
/*
 * Include all predefined edge detectors.
 */

// General edge detectors
#include "ImageEdgeDetectors/mdsCanny.h"
#include "ImageEdgeDetectors/mdsZeroCrossings.h"


#endif // MDS_IMAGEEDGEDETECTORS_H

