//==============================================================================
/*! \file
 * Medical Data Segmentation Toolkit (MDSTk)    \n
 * Copyright (c) 2003-2007 by Michal Spanel     \n
 *
 * Author:  Michal Spanel, spanel@fit.vutbr.cz  \n
 * File:    mdsVolumeCornerDetectors.h          \n
 * Section: libImage                            \n
 * Date:    2007/07/03                          \n
 *
 * $Id:$
 * 
 * Description:
 * - Predefined volume corner/landmark detectors.
 */

#ifndef MDS_VOLUMECORNERDETECTORS_H
#define MDS_VOLUMECORNERDETECTORS_H

#include <MDSTk/Base/mdsSetup.h>


//==============================================================================
/*
 * Include all predefined detectors.
 */

// 3D corner/landmark detectors
#include "VolumeCornerDetectors/mdsRohr.h"
#include "VolumeCornerDetectors/mdsSusan.h"


#endif // MDS_VOLUMECORNERDETECTORS_H

